<template>
  <Popup
    shown
    @close="close"
  >
    <template #title> Account settings </template>
    <template #default>
      <form class="flex flex-col gap-8">
        <fieldset class="flex grow flex-col gap-4">
          <EmailField
            v-model="email"
            @pass="pass.email = $event"
          />
        </fieldset>
        <footer>
          <Button
            :disabled="buttonDisabled"
            @click.prevent="change"
          >
            Change
          </Button>
        </footer>
      </form>
    </template>
  </Popup>
</template>

<script setup lang="ts">
import { USER_SETTINGS_POPUP } from '~entities/popups';
import { usePopupsStore } from '~/stores/popups';
import { Popup } from '~entities/popups';
import { EmailField } from '~features/auth';
import { Button } from '~shared/ui';

const email = ref('');
const pass = reactive({ email: false });
const buttonDisabled = computed(() => !pass.email);

const change = () => {
  console.log('change settings in progress');
};

const { hidePopup } = usePopupsStore();
const close = () => {
  hidePopup(USER_SETTINGS_POPUP);
};
</script>
